Package org.benf.cfr.reader.api

# Enum Class SinkReturns.TokenType

java.lang.Object
java.lang.Enum<SinkReturns.TokenType>
org.benf.cfr.reader.api.SinkReturns.TokenType

All Implemented Interfaces:
  `Serializable`, `Comparable<SinkReturns.TokenType>`, `Constable`

Enclosing interface:
  `SinkReturns`

public static enum SinkReturns.TokenType extends Enum<SinkReturns.TokenType>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `COMMENT`
  `EOF`
  `EXPLICIT_INDENT`
  `FIELD`
  `IDENTIFIER`
  `INDENT`
  `KEYWORD`
  `LABEL`
  `LITERAL`
  `METHOD`
  `NEWLINE`
  `OPERATOR`
  `SEPARATOR`
  `UNCLASSIFIED`
  `UNINDENT`
  `WHITESPACE`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `isControl()`
  Is this a 'control' token? I.e.
  `static SinkReturns.TokenType`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static SinkReturns.TokenType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### WHITESPACE

    public static final SinkReturns.TokenType WHITESPACE

  - ### KEYWORD

    public static final SinkReturns.TokenType KEYWORD

  - ### OPERATOR

    public static final SinkReturns.TokenType OPERATOR

  - ### SEPARATOR

    public static final SinkReturns.TokenType SEPARATOR

  - ### LITERAL

    public static final SinkReturns.TokenType LITERAL

  - ### COMMENT

    public static final SinkReturns.TokenType COMMENT

  - ### IDENTIFIER

    public static final SinkReturns.TokenType IDENTIFIER

  - ### FIELD

    public static final SinkReturns.TokenType FIELD

  - ### METHOD

    public static final SinkReturns.TokenType METHOD

  - ### LABEL

    public static final SinkReturns.TokenType LABEL

  - ### NEWLINE

    public static final SinkReturns.TokenType NEWLINE

  - ### UNCLASSIFIED

    public static final SinkReturns.TokenType UNCLASSIFIED

  - ### EOF

    public static final SinkReturns.TokenType EOF

  - ### INDENT

    public static final SinkReturns.TokenType INDENT

  - ### UNINDENT

    public static final SinkReturns.TokenType UNINDENT

  - ### EXPLICIT_INDENT

    public static final SinkReturns.TokenType EXPLICIT_INDENT

- ## Method Details

  - ### values

    public static SinkReturns.TokenType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static SinkReturns.TokenType valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### isControl

    public boolean isControl()
    Is this a 'control' token? I.e. do we want to change state based on it, not output.
    Returns:
      if this is a control token.